
/**
 * 
 * @param {string} label - Title for this section. 
 * @param {Object} attrs - All attributes to pass to the component
 */
export default class TestClass {
    constructor(label = '', attrs = {}) {
        if (!(typeof label === 'string' || label instanceof String)) {
            const iTestClass = label
            if (iTestClass && iTestClass.label && iTestClass.attrs) {
                // object is an interface of TestClass
                this.label = iTestClass.label
                this.attrs = iTestClass.attrs
            } else {
                // object is the test attrs
                this.label = ''
                this.attrs = iTestClass
            }
        } else {
            this.label = label
            this.attrs = attrs
        }
    }

    static convertToTests(items = []) {
        const itemsArray = Array.isArray(items) ? items : items == null ? [] : [items];
        return itemsArray.map(item => TestClass.convertToTest(item));
    }
    static convertToTest(item) {
        if (!(item instanceof TestClass)) {
            return new TestClass(item);
        }
        return item;
    }
}